*** a/src/bin/pg_dump/pg_backup_archiver.c
--- b/src/bin/pg_dump/pg_backup_archiver.c
***************
*** 297,304 **** RestoreArchive(Archive *AHX)
  		if (AH->version < K_VERS_1_3)
  			exit_horribly(modulename, "direct database connections are not supported in pre-1.3 archives\n");
  
! 		/* XXX Should get this from the archive */
! 		AHX->minRemoteVersion = 070100;
  		AHX->maxRemoteVersion = 999999;
  
  		ConnectDatabase(AHX, ropt->dbname,
--- 297,308 ----
  		if (AH->version < K_VERS_1_3)
  			exit_horribly(modulename, "direct database connections are not supported in pre-1.3 archives\n");
  
! 		/*
! 		 * We don't want to guess at whether the dump will successfully
! 		 * restore; allow the attempt regardless of the version of the restore
! 		 * target.
! 		 */
! 		AHX->minRemoteVersion = 0;
  		AHX->maxRemoteVersion = 999999;
  
  		ConnectDatabase(AHX, ropt->dbname,
